[PC-BSD Testing] 9.1 Rolling Release, libORBit-2.so.0 problem

Bridger Dyson-Smith bdysonsmith at gmail.com
Wed Apr 24 06:17:52 PDT 2013


Hi all,

Could something in the package-build process changed ORBit2?

I can use the previously mentioned IDE on 9.1 'normal' release, with the
same version of ORBit2 installed. E.g.,
> pkg_info | grep ORBit
ORBit2-2.14.19 High-performance CORBA ORB with support for the C language

Contrast that with the package installed in 9.1 RR; i.e.,
> pkg info ORBit2
ORBit2-2.14.19                 High-performance CORBA ORB with support for
the C language

I've tested the last few versions of the IDE and they all fail with the
same error; e.g.,
/usr/local/lib/libORBit-2.so.0: Undefined symbol "g_mutex_new"
Since the libORBit2 is at the same version number, would that be an
indicator that a "switch" got flipped somewhere in the package build? Never
having tried generating a package, I'm not sure if that's even possible.
I'm tempted to try building my own package, but I don't know if that would
help the problem.

Thanks!
Bridger





On Thu, Apr 11, 2013 at 12:40 PM, Bridger Dyson-Smith <bdysonsmith at gmail.com
> wrote:

> Hi all,
>
> On a fresh 9.1 Rolling Release install, trying to run an editor (oXygen
> XML Editor, based on Eclipse, I think) gives me the following error:
>
> > ./oxygen.sh
> /usr/local/lib/libORBit-2.so.0: Undefined symbol "g_mutex_new"
>
> I was able to use the editor on a 9.1 vanilla > 9.1 RR upgrade. I
> installed from the 2013-04-03 x64 DVD.
>
> Thanks,
> Bridger
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.pcbsd.org/pipermail/testing/attachments/20130424/c4ed5e6c/attachment.html>


More information about the Testing mailing list